#!/usr/bin/perl -w

use strict;
use warnings;
use Carp;

use WebService::Browshot;


my $browshot = WebService::Browshot->new(
	key	=> 'my_api_key',
	debug	=> 0, # no more debug information
);

my $instance = $browshot->instance_info(id => 12);

# Get details on the browser behind this instance
my $browser = $browshot->browser_info(id => $instance->{browser}->{id});

print "Instance #12 uses the browser ", $browser->{name}, "\n";
print "User Agent string: ", $browser->{user_agent} || 'default', "\n";